This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 829038 - Review Request: drupal6-freelinking - Freelinking module for Drupal6
Review Request: drupal6-freelinking - Freelinking module for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 16:10 EDT by Anderson Silva
Modified: 2013-04-01 18:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 18:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tdawson: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anderson Silva 2012-06-05 16:10:11 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-freelinking.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-freelinking-3.2-2.fc16.src.rpm
Description: The freelinking module implements a filter for the easier creation of HTML links to other pages.
Fedora Account System Username: afsilva
Comment 1 Troy Dawson 2012-08-01 16:43:41 EDT
Informal
Package Review
==============

Since this is for both Fedora and EPEL I would pass this.

If it were not, it would need to be cleaned up with the issues at the bottom of this review.

==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[X]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[X]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[X]: MUST Package contains no bundled libraries.
[X]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[X]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[X]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[X]: MUST License field in the package spec file matches the actual license.
[X]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[X]: MUST Package installs properly.
[X]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[X]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[X]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[X]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
Comment 2 Troy Dawson 2012-08-24 19:04:09 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[S]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[X]: MUST Package contains no bundled libraries.
[X]: MUST Changelog in prescribed format.
[X]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[X]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[X]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[X]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[X]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[X]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[X]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[X]: MUST Package is not relocatable.
[X]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source2 (LICENSE.txt) Source0 (freelinking-6.x-3.2.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[X]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Package does not include license text files separate from
     upstream.

Rpmlint
-------
Checking: drupal6-freelinking-3.2-2.fc18.src.rpm
          drupal6-freelinking-3.2-2.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
drupal6-freelinking-3.2-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    drupal6

Provides
--------
drupal6-freelinking-3.2-2.fc18.noarch.rpm:
    
    drupal6-freelinking = 3.2-2.fc18

MD5-sum check
-------------
http://ftp.drupal.org/files/projects/freelinking-6.x-3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 5bc5d9221c7234e14730277afdb76ebebf570e62362ab018b43e184e6406491c
  CHECKSUM(SHA256) upstream package : 5bc5d9221c7234e14730277afdb76ebebf570e62362ab018b43e184e6406491c


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/bin/fedora-review -b 829038
External plugins:

===============

You have provided a license as SOURCE2, but if I open up the upstream tarball, it already has it's own LICENSE.txt file.
Please use the Upstreams License file, or give a reason for not using it.

Once that is fixed, or justified, I will approve this.
Comment 3 Anderson Silva 2012-08-28 09:14:57 EDT
the reason there is a different license is because the origianl LICENSE shipped from upstream contains the incorrect mailing address for the FSF which actually throws an error by rpmlint. I think the error is: E: incorrect-fsf-address
Comment 4 Troy Dawson 2012-08-28 09:29:38 EDT
That was the only problem I found, so I approve this request.

It would be a good idea to inform upstream of this license problem, if you haven't already.
Comment 5 Anderson Silva 2013-03-22 12:00:17 EDT
New Package SCM Request
=======================
Package Name: drupal6-freelinking
Short Description: The freelinking module implements a filter for the easier creation of HTML links to other pages.
Owners: afsilva mwoodson siwinski
Branches: f17 f18 f19 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-03-22 12:09:48 EDT
"mwoodson" is not in the packager group.
Comment 7 Anderson Silva 2013-03-22 12:27:17 EDT
Jon,

I've reached to Matt, I guess he needs to maintain a package first.

AS
Comment 8 Anderson Silva 2013-03-22 13:55:14 EDT
New Package SCM Request
=======================
Package Name: drupal6-freelinking
Short Description: The freelinking module implements a filter for the easier creation of HTML links to other pages.
Owners: afsilva siwinski
Branches: f17 f18 f19 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-03-22 14:19:44 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-03-22 17:33:43 EDT
drupal6-freelinking-3.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-freelinking-3.2-2.el6
Comment 11 Fedora Update System 2013-03-22 17:34:13 EDT
drupal6-freelinking-3.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-freelinking-3.2-2.fc17
Comment 12 Fedora Update System 2013-03-22 17:34:47 EDT
drupal6-freelinking-3.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-freelinking-3.2-2.fc18
Comment 13 Shawn Iwinski 2013-03-23 00:53:38 EDT
Package Change Request
======================
Package Name: drupal6-freelinking
New Branches: el5
Owners: ansilva siwinski
InitialCC: 

Adding el5 branch to follow most other drupal6 packages.
Comment 14 Gwyn Ciesla 2013-03-23 09:12:04 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-03-23 14:16:01 EDT
drupal6-freelinking-3.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 16 Fedora Update System 2013-04-01 18:26:39 EDT
drupal6-freelinking-3.2-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2013-04-01 18:28:02 EDT
drupal6-freelinking-3.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.